StringAttributeNameEditor

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.client
Class StringAttributeNameEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.openswing.swing.client.AttributeNameEditor
              org.openswing.swing.client.StringAttributeNameEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

public class StringAttributeNameEditor
extends AttributeNameEditor

Title: OpenSwing Framework

Description: Editor used in design time to select an attribute name from the value object, filtering by String attribute types.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`StringAttributeNameEditor()`

Methods inherited from class org.openswing.swing.client.AttributeNameEditor
`getAsText, getJavaInitializationString, getTags, setAsText, setDesignVOClass`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getValue, isPaintable, paintValue, removePropertyChangeListener, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringAttributeNameEditor

    public StringAttributeNameEditor()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD